GLFW

- Documentation
- Download
- Community

Loading...
Searching...
No Matches
Macros
Modifier key flags
Input reference

## Description

See key input for how these are used.

## Macros
#define | GLFW_MOD_SHIFT 0x0001
| If this bit is set one or more Shift keys were held down.
#define | GLFW_MOD_CONTROL 0x0002
| If this bit is set one or more Control keys were held down.
#define | GLFW_MOD_ALT 0x0004
| If this bit is set one or more Alt keys were held down.
#define | GLFW_MOD_SUPER 0x0008
| If this bit is set one or more Super keys were held down.
#define | GLFW_MOD_CAPS_LOCK 0x0010
| If this bit is set the Caps Lock key is enabled.
#define | GLFW_MOD_NUM_LOCK 0x0020
| If this bit is set the Num Lock key is enabled.

## Macro Definition Documentation

## ◆ GLFW_MOD_SHIFT

#define GLFW_MOD_SHIFT 0x0001

If this bit is set one or more Shift keys were held down.

## ◆ GLFW_MOD_CONTROL

#define GLFW_MOD_CONTROL 0x0002

If this bit is set one or more Control keys were held down.

## ◆ GLFW_MOD_ALT

#define GLFW_MOD_ALT 0x0004

If this bit is set one or more Alt keys were held down.

## ◆ GLFW_MOD_SUPER

#define GLFW_MOD_SUPER 0x0008

If this bit is set one or more Super keys were held down.

## ◆ GLFW_MOD_CAPS_LOCK

#define GLFW_MOD_CAPS_LOCK 0x0010

If this bit is set the Caps Lock key is enabled and the GLFW_LOCK_KEY_MODS input mode is set.

## ◆ GLFW_MOD_NUM_LOCK

#define GLFW_MOD_NUM_LOCK 0x0020

If this bit is set the Num Lock key is enabled and the GLFW_LOCK_KEY_MODS input mode is set.